package intrinsic.mx.core;

public class BitmapAsset extends intrinsic.mx.core.FlexBitmap implements intrinsic.mx.core.IFlexDisplayObject, intrinsic.mx.core.IFlexAsset {

	/** Accessors */
	public double measuredHeight;
	public double measuredWidth;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public BitmapAsset() {
}

public BitmapAsset(intrinsic.flash.display.BitmapData arg0) {
}

public BitmapAsset(intrinsic.flash.display.BitmapData arg0, String arg1) {
}

public BitmapAsset(intrinsic.flash.display.BitmapData arg0, String arg1, boolean arg2) {
}


/** Static Methods */

/** Methods */
public native void setActualSize(double arg0, double arg1);
public native void move(double arg0, double arg1);

}
